AstraLex (BSL Edit) By LexBoosT

#Changelog:

#Version 20.0

-Added many options for Cloud Visibility:
    -Day Clouds Visibility Slider.
    -Night Clouds Visibility Slider.
    -Rain Cloud Visibility Slider.
-Added slider for Aurora Visibility in Aurora Menu.
-Make Cloud mask for Stars / ShiningStars.
-Max opacity for clouds by default.
-Re adjusts Lava/fire brightness.
-Various small adjustments.

#Version 19.1

-Added an option to make the sky color "water" for a better effect with the head underwater.
-Fix Broken End Sky

#Version 19.0

-Decrease Lava Fog density.
-Split Clouds/Aurora/Stars/ShiningStars/ShootingStars...
-Fix syntax in composite1.glsl.
-Improved lightmap.
-Improved Screen Brightness.
-Possibility to adjust Opacity for Vanilla Clouds.
-Fixed self shadowing appearing on non-parallax surfaces.
-Improved a bit cloud scattering.
-Add sliders for adjusts the fov for Distortion.
-Improved Parallax Shadowing.
-Redstone wire have the same luminosity/emissivity than Redstone block now.
-Better Quality for FXAA.
-Adjust Smooth TAA Shadow Filtering. (More precise).
-Improved LightShaft rays in Water with possiblity to adjust Rays.
-Possibility to adjust Luminosity of Caustics.
-Blur the shadows in underwater when the Caustics are activated.
-Change Minimum Light to 48 (before 8).
-Possibility to adjusts Ambiant Light in End.
-Possibility to adjusts Light Shaft Strenght in End separately.
-Better visibility in water depths with Lightshaft enabled.
-Various small adjustments.

#Version 18.1

-Fix compilation error with Aurora techno is enabled in Enderworld

#Version 18.0

-Re-arrange the DOF Blur Quality.
-Improved Blur Offsets (Gaussian/Bokeh/Pentagonal).
-Change "Dimension Lava/Fire Brightness" Menu by "Dimension Block Brightness" with 3 Menus:
    -Overworld Blocks Brightness.
    -Nether Blocks Brightness.
    -Ender Blocks Brightness.
-Add possibilities to adjust Brightness for:
    -Lava.
    -Fire.
    -Lantern.
    -Soul Lantern.
    -Shroomlight.
    -Redstone Lamp.
    -Sea Lantern.
    -Glowstone.
    -Jack O Lantern.
    -Torch / End Rod.
    -Nether portail.
-Add Option for Emissive Nether portail.
-Add Bonus Section in Dimension Block Brightness Menu with:
    -Redstone Emissive Block (for fun).
    -Lapis Lazuli Emissive Block (for fun).
-Rework Aurora Menu.
-Add Techno Aurora with sliders adjustements.
-Tiny tweak for shadows.
-Improved TAA.

#Version 17.1

-Fix compilation error when you disable Ambiant Occlusion.
-Add slider for Aurora Quality in Aurora Menu.

#Version 17.0

-Deacrease The fog density in Overworld.
-Disable Waving Water by default (cause bad effect on water with BlackOultine enable) (Can be activated in the shader menu.)
-Lightshaft setup (again) for better in-game visibility.
-Reduce Lava height so that it does not exceed blocks.
-Ice Blocks are a bit more opaque now.
-Adjust shadows on certain blocks.
-Activate Color Selector Block (Techno Mod) on Lex Profile.
-Fix shadows blinking in high render distance.
-Various small adjustments.

#Version 16.1

-Fix blinding Lightshaft

#Version 16.0

-Lightshaft at sunrise have a natural color.
-Added Standard Offstets Blur for DoF.
-Improve visibility for CRT Border/Black Scanline Band.
-Rework Water Waves.
-Improved a bit Clouds.
-Improved Night Sky.
-Improve TAA Smooth Shadowing.
-Delete HYPER_SPEED (No one uses it I'm sure).

#Version 15.0

-Complete redesign of the shader menu.
-Improve a bit TAA.
-Better visibility for Glowstone, Shroomlight, Redstone_lamp, Sea_lantern, Lantern.
-Fixed excessive reflection on blocks.
-Improve Reflection everywhere.
-Small Tweak for Water Waves.
-Fix Little transparency of hands when there is a luminous object behind.
-Add Slider for adjust fire brightness in Overworld/Nether/Ender.
-Fixed screen darkening when Intense AutoExposure is "On" and an enchanted object is in hands.
-Add Emin Random Colored Lighting.

#Version 14.1

-Increment Tonemap Exposure to 0.2 by 0.2.
-Fix Enchanted Gear on Armour Stand/Players dont render properly.

#Version 14.0

-Rename the shader to AstraLex (Not to be confused with BSL).
-Options which requires advanced materials are now marked with [*]. (Good Idea Capt)
-Moved Emissive Recolor to the Lighting Menu.
-Improved Shadows performance.
-Tweak bit AO.
-Tweak Reflections.
-Improved Rain bump reflections.
-Add AO Vanilla Strenght Slider, by default Vanilla AO is divided by 2.
-Add option for Promo Outline Everywhere.
-Adjust default Promo Outline Strenght.
-Improved BlackOutline/PromoOutline.
-Add Slider for BlackOutline Thickness.
-Add Slider for BlackOutline Strenght.
-Improved hardcoded emissives.
-Adjust Lava Brightness for default lava texture of MC.
-Improved Lighshaft Rays (more smooth).
-Rework foliage shading.
-Add Option for disable Shadows Leaks (if you have) in cave.
-Improved Sunset Color.
-Improved Underwater LightShaft color.
-Shader menu restructuring.
-Removal of the DirtIMG Pack, possibility to download it separately.
-Small optimization here and there.

#Version 13.0

-Fix minimum value for Fog Density make black Sky.
-Fix Lightshaft on plants in water.
-Better Visibility in water with Lightshaft ON.
-Improved visibility of Sun/Moon when eyes is in water.
-Improved Smooth transition of Clouds in sky (Thanks Emin).
-Improved Smooth transition of Stars in sky.
-Improved Smooth transition of Shiningstars/Constellations in sky.
-Add a smooth transition for Sun/Moon for rain-clear transition.
-Increase a bit the color of sun for Round Sun/Moon Option.
-Increase Visibility of clouds with Aurora enable.
-Decrease a bit Skybox Brightness by default.

#Version 12.0

-Disable Advanced Materials by default (Enable with Lex Profil).
-Fix Super Bright Lighting for many people.
-Add Ultra Bokeh Offset for Dof (requires a lot of performance).
-Tiny translation correction.
-Add CRT 2.0 Effect with Slider for adjusts strenght.
-Tiny optimizations

#Version 11.1

-Disable Rain Blur Vignette by default
-Enable BlackOultine / PromoOutline by default
-Improve TAA Shadow filter
-Enable TAA_SHADOW_FILTER to "Smooth" by default

#Version 11.0

-Improved BlackOutline/Promo Outline.
-Possibility to adjusts Promo Outline Thickness/Strenght.
-Add Rain Blur Effect Vignette on screen (enable by default).
-Add Option for adjusts Rain Blur Vignette.
-Fix Reflection on Glass/Stained Glass.
-Improved Specular Highlight.

#Version 10.0

-Fix little warning in log.
-Fix Shiningstars with the moon position. Now possibility to adjust SunPathRotation without affect Shiningstars.
-SunpathRotation is now configured at -40.
-Add New menu for Bloom Dimension configuration.
-Add Bloom Sliders for Overworld/Nether/Ender.
-Auto Exposure is on Lite by default.
-Improved Caustics in water with water movements speed.
-Fix the cut-off Lightshaft (Thanks EminGT).
-Fix Blurry Standard TAA (Thanks EminGT for the edge detection) and Improve Ghosting TAA a bit.
-Improved default settings for Lightshaft.
-Disable Lightshaft Exponent for Lex Profil.

#Version 9.0

-Disable HyperSpeed on Lex Profile.
-Add more values for Shadows distance.
-Added height based cold biome detection.
-Decreased value for Underwater Lightshaft by default.
-Add more values for Underwater Lightshaft.
-Fix cut ShiningStars in the sky.
-Add Thickness option for ShiningStars.
-Add Size option for ShiningStars.
-Add ShiningStars AA option.
-Don't show ShiningStars under horizon.
-Minor Sky tweaks.

#Version 8.2

-Add Option to Disable Coloring Selector block (enable by default)
-Enable Techno Block Selector for Lex Profil

#Version 8.1

-Fixed flickering distant shadows.
-Improved Lighting in cave.
-Fix and Improved AO reflection.
-Improve noise on Water Reflection
-Tiny internal changes.
-Little Cleanup.

#Version 8.0

-Add ShiningStars (enable by default).
-New Menu for ShiningStars.
-Add Constellations (enable by default).
-Add Possibilities to adjusts number of Constellations/ShiningStars.
-Add Possibilities to adjusts thickness of Constellation Lines.
-Add Possibilities to adjusts Opacity of Constellation Lines.
-Add Possibilities to adjusts Intensity of Shining Stars/Constellations.
-Add Possibilities to adjusts RGB Color of Lines for Constellations.
-Add Stars flicker option with slider for speed.
-Add a smooth transition for ShiningStars/Constellation for rain-clear transition.
-Improve performance of ShingStars/Constellation.
-Improved rain-clear transition to be smoother.
-Fix Inversion for LabPBR and OldPBR.
-Change Old PBR and Emissive by Seus PBR.
-Add option for distance exposition for the Lightshaft (enable by default).
-Improve ShootingStars (more shiny now).
-Tiny internal changes.

#Version 7.9.1

-Fix Water Fog with blackOutline
-Add Ender Lava Brightness slider
-Tweak a bit specular again
-Add Sliders for configure the Fog intensity in Nether/Ender/OverWorld
-Improve a bit Fog in Ender

#Version 7.9

-Add Triggering items menu for Flash Victim
-Add the Axe as a trigger item for the Flash Victim
-Cleaning Code

#Version 7.8.3

-Fix shaders on Linux with AMD Mesa
-Add Option for disable Wave for liquid
-Make a correction for sign redirection

#Version 7.8.2

-Fix Compilation error on gbuffers_weather

#Version 7.8.1

-Improve a bit Raindrop visibility

#Version 7.8

-Add CUSTOM Rain Drop on Screen option (Custom by default)
-Add Movement Speed for Hands/Camera at the same time
-HAND_MOVEMENTS disable by default, only HAND_MOVEMENTS_2 is enable
-New Raindrop On Screen Style with Options
-New Menu for Rain Drop
-Distant fade is now affected by fog density. (Credits Capt Tatsu)
-The menu is more readable

#Version 7.7.2

-Fix Compilation error on gbuffers_water
-Fix BlackOutline with Fog is disable (my bad sorry)

#Version 7.7.1

-Final Fix for BlackOutline out of the water when your head is underwater

#Version 7.7

-Tweaked specular highlight to match cook-torrance brdf
-Specular highlight is now affected by vanilla ao
-Reduced specular highlight intensity at night
-Add Nether/Overwolrd Lava Brightness in World Menu
-Modify a bit intensity of fog in Day
-Adjust LightShaft in Water
-Add Slider for Shooting Stars Intensity and add more steps for fading
-Better Underwater LightShaft
-Fix Fog/BlackOutlines
-Fix Compilation error on deferred1

#Version 7.6.3

-Fix shadowMapResolution slider
-Modify Encode/Decode code
-Fix BlackOutline out of the water when your head is underwater

#Version 7.6.2

-Enable Cloud Reflection on water by default
-Enable Aurora Reflection on water by default
-Enable Stars Reflection on water by default
-Fix Reflection of Cloud/Aurora/Stars in cave (Thanks EminGT for help)
-Modify a bit profils
-Fix warnings in the log

#Version 7.6.1

-Shader translation finalization
-Enable LightShaft by default
-Enable Movements cam by default
-Enable Hand Movements by default

#Version 7.6

-Add Glint Intensity Slider
-Improve a bit AO
-Improve ShadowMap with TAA Enable
-Rearrange the options in the Shader Menu
-Optimize DOF/CHROMA_AB + Add 1 DOF Offsets
-By default, the placement of the hands on the screen is original (if you want as before: Lex> Realism> Hands (0.10 for all) by default with LEX Profil)
-Fixed a brightness issue when TAA is enabled

#Version 7.5

-Fix blur of entities with TAA enabled
-Add 2 sliders to configure HDR
-Add option for different type of LightShaft direction
-Increase the default radius length for the LightShaft

#Version 7.4

-Tweaked Specular highlight again.
-Improve a bit weather color when it rain.
-The stars in the ender portal are more brighter.
-Improved particules visibility in water.
-Possibility to activate/desactivate reflections for Clouds and Aurora on metal/smooth surface. (disable by default).
-Improved ambient occlusion with depth aware filtering.
-Add Techno Color Block Selector (Enable by default).
-New Menu for Block Selector With 2 Choices, RGB CUSTOM or TECHNO (with speed slider).
-Rework Light Shaft with better rays and better Color at sunrise. (Credit to EminGT, really, thank you)
-The sky is less hidden by volumetric light
-Better view of sky when eyes in water.
-Modify a bit Water Wave.
-Improved Light Shaft in water.
-Improved Block Lighting.
-The sky is less dark than before.
-Added an option (Pinky Sunrise Lightshaft) to change the color of the lightshaft at sunrise like the previous version of the shader (Pinky).
-Modify a bit reflection of the sun/moon in water/metal

#Version 7.3.1

-Improve Chromatic Aberration (Thanks RRe36 for trick)
-Set Lava Brightness to 1.00 for Lex Profile

#Version 7.3

-Improve a bit shadow filtering.
-Better fresnel and reflections.
-Tweaked Specular highlight.
-Improved parallax self shadowing.
-Add LIGHT_SHAFT_POWER slider.
-Modify a bit color of sunrise sky.
-Fix a compilation error with advanced materials off.
-Small improvements here and there.

#Version 7.2.2

-Fix Waypoint Overlay for Xaero Minimap.

#Version 7.2.1

-Fix compilation error in Ender and Nether.

#Version 7.2

-Improve a bit Lightshaft again.
-Fix Dot on Rainbow with distance max.
-Fix WorldTime.
-Reworked distant fade from dithered transparency to fog.
-Clean a bit the code.

#Version 7.1.2

-Lightshaft is more smooth.
-Rewrite code for Lighting by Temperature.
-Fix Slider inversion for Lighting Power in Blocklight Color.
-Modify jitter offset for TAA.
-Various Optimizations.

#Version 7.1.1

-Fix twinkle on Shadow Close Dithering.
-Improve Lightshaft twinkle with TAA.
-Improve again shadow escpape in cave with lower brightness.
-Change default Settings for DOF.
-Improve TAA dither on AO.
-Modify a bit Lex Profil.

#Version 7.1

-Improved a bit raytrace in water.
-Improved LightShaft.
-Set default temperature of Blocklight to 3000.
-Water is more transparent by default.
-Transform color to linear>sRGB to sRGB>linear.
-Add Water Lightshaft Softner Option.
-Add Water Lightshaft Color Multiplier Option.
-Fix AO.
-Improved blindness effect.

#Version 7.0

-Add Focus Speed Option for DOF.
-Add DOF Circular Option.
-Add Option for adjusts Lava brightness.
-Add Blocklight Temperature Control.
-Disable Temperature Color in hand.
-Fix Blink in dark area with AA.
-Fog is now applied to particles in 1.15 and above.
-Fixed blindness fog.
-Make default settings for water.
-Tweak a bit lightmap for blocklighting.
-Rename SUPREME TAA by GHOSTING TAA.
-Add more step for Water LightShaft option.
-Translate "Viseur" Option to "A.I.M".
-Full Border mod now go behind the fog.
-Improved FOG in END.
-DirtIMG rework for a more natural look for Bloom.
-Add 3 Overlays (DirtIMG) for different look for Bloom.
-Increased transparency of default Bloom Overlay.
-Semi Fix for the escape LightShaft in cave (white dot).
-New Menu in Visual "Cel Shading" with: 
    -BlackOutlines/PromoOutlines Options
    -Full Border Options 
-Add WHITE/BLACK WORLD Option with Options ON/OFF: 
    -Particles
    -Terrain
    -Spider Eyes
    -Hands
    -Entities
    -Damaged Block
    -Beacon
    -Water
    -Sky

#Version 6.9

-Delete Settings Files.
-Simple Settings by default for first launch.
-Add missing Stone Sword item ID for FLASH_VICTIME.
-Make better Profiles.
-Add SUPREME TAA in AA Options.
-Better offset for TAA.
-Fix water in dark area when it rain.
-Add Shooting Stars.
-Add Option for Adjust: -Thickness
                        -Speed
                        -Number of Shooting Stars
                        -Timing
                        -Fading of Shooting Stars
                        -AntiAliasing
						-Shooting Stars Reflection
-Increase a bit opacity of water by default
-Code Cleaning and various optimizations

#Version 6.8.4

-Fix Glint With SUPREME TAA+FXAA.

#Version 6.8.3

-Fix compilation error with LightShaft/BlackOutline.
-Improved Lightmap.

#Version 6.8.2

-Revert PromoOutline modifications.

#Version 6.8.1

-Fix of the sky texture at nightfall.

#Version 6.8

-Improved a bit Raytrace.
-Improved a bit Motion Blur.
-Improved a bit Promo Outlines quality.
-Improved a bit distance of AO.
-Fix SUPREME TAA+FXAA bug with Spider Eyes.
-Modify a bit reflexion on block border limit.
-Add Option to Adjust fresnel reflection strenght.

#Version 6.7.2 (Ninja Update 2)

-Fix World Time Animation.

#Version 6.7.1 (Ninja Update)

-Fix FXAA Black Screen.

#Version 6.7

-Improves the quality of the lighshaft.
-Update labPBR.
-Tweaked promo outline.
-Reduced waving lantern intensity.
-Changed parallax depth measuring to cm.
-Increase Quality of BlackOutline.
-Modify a bit Auto Exposure.
-Set HDR to Disable by default.
-Add Supreme TAA + FXAA.
-Delete Sharpen Option.

#Version 6.6

​​-Fix Entity Glowing
-Fix Distant_Fade compilation error
-Add Distant_Fade TAA Animation
-Shadow Close Dithering more smooth with TAA enable
-Modify default settings for parallax distance (128>64) and quality (512>64)
-Little fix and optimizations

#Version 6.5

​​-Add Shadow Close Dithering
-Add New Options for Stars
-Add New Options for Aurora
-Possibility to choose 3 Styles for Stars (Normal, Normal X2, Normal X3)
-Possibility to modify Distance, Intensity for Stars
-Possibility to modify Distance,Size,Color for Aurora (Green-Blue by default)
-Move the weather reflection options in the dedicated menu (Ex. Aurora Reflexion in new Aurora Configuration Menu)

​#Version 6.4

​-New Menu: Rain Reflection Config
-Possibility to Adjust Noise, Amplitude, Speed for Puddles
-Possibility to stop waving for Chain (ON/OFF in Terrain Menu)
-Adjust wave for Chain
-Transfert END_CLOUDS option in Sky/Clouds/Clouds Config/Ender
-Re-Add BSL_VIGNETTE
-Add 1 different Puddles Mode (little puddles)
-Add 1 Option for choose your favorite puddles
-Add 1 Film Grain Style, Now you have a choice to set Camera Noise + (Film Grain Style 1 or Film Grain Style 2)
-Add option for Shadows "SHADOW_BACKFACE_CULLING" (Enable by default)

​​#Version 6.3

​-Modify default Clouds
-Now 3 Patterns for Clouds (Fluffy1/Fluffy2/Fluffy3) (Fluffy3 by default)
-Now Ender have a standard Fluffy Clouds
-Possibility of configuring the clouds according to the chosen dimension
-Modify a bit coc multiplier for DOF
-Modify a bit Lightmap for blocklight
-Aurora is Enable by default

​#Version 6.2

​​-Add option to Tweak visibility by reducing the opaqueness of very close particles (PARTICLES_VISIBILITY) (Enable by default) (Credits EminGT)
-Add Block Lighting Limiter option in Color/Block Color (Normal Lightmap and Normal Lightmap²) (Work Only in OverWorld)
-Optimizations for Shadow Lighting
-Modify default Block lighting Intensity
-Fix missing Sky in specular reflections
-Add Taa Shadow filtering (Small/High) (in Option, small by default)
-Modify a bit Light Diffusion

​#Version 6.1

​​-Little Optimisations
-Deacrease a bit Fovscale for AO by default
-Add Option for AO_FovScale (Low/Medium/High/Ultra) in AO Menu

​#Version 6.0

​-Rework Cloud in Ender (more fluffy)
-Decrease Cloud Speed in Ender
-Modify Water relection and waves
-Increase Water Fog with Slider
-Better Water Fog Color and Water Fog dispersion
-Modify a bit Fresnel on water
-New Menu for Water
-Improved fog in OverWorld/Nether/End
-Modify PerBiome Weather Color for Nether
-Fix reflexion on LabPBR
-Fix oldPBR and Emissive. Thanks Capt Tatsu for your Help

​#Version 5.9

​-Aurora now Work with Weather_Per_Biome Enable
-Add option for Enable Aurora when WEATHER_PERBIOME is enable (Enable by default)
-Fix render Stars in Sky

​#Version 5.8

​-Fixed aurora, The shape is Slightly different from v5.7 though.
-Add SunVisibility_FOG, Force fog according to the visibility of the sun.
-Fix PormoOutline on Fog with SunVisibility_FOG activated
-Descrease a bit LightShaft default settings

​#Version 5.7

​-Reword a bit code to fix little Bug
-Fix clouds when we go out on Nether to go to the Overworld
-Add Settings File in "Settings" Folder for same versions tonemapping/color before version 5.6 if you want change. Or BSL tonemapping/color.
-Modify a bit Volumetric Light
-Add Option for Adjust LightShaft in Water
-Add Option for Adjust Distance of LightShaft
-Add New Menu for Light Shafts

​#Version 5.6 NINJA Update

​-Fix compilation error when activating SKY_VANILLA and NETHER_VANILLA at the same time.

​#Version 5.5

​-Add TAA + FXAA
-Modifiy a bit water Raytrace
-Optimize code
-Fix gbuffer_spidereyes error when World curvature is disable
-Increase Bloom in water
-Change a bit tonemap (too light before)
-Nether Dimension Color Increased
-Skybox brightness slightly decreased

​#Version 5.4

​-Enable or Disable Light Shafts in Ender
-Enable or Disable Clouds in Ender
-Optimize a bit AO
-Fix SCANLINE_BAND for Linux
-Fix Shadows Problems !!
-Fix Weird horizontal Line !!!

​#Version 5.3

​-Fix Sunlight leak
-Fix Jump Light
-Fix dark shadow in certain situation
-Add Option for Increase or Decrease light in dark area
-Modify a bit Default settings for COLORED_DYNAMIC_HAND_LIGHT
-Return to Dof Fovscale of 5.1 Version

​#Version 5.2 Optimization Update

​-Optimize Bloom for Overworld
-Increase Bloom for Nether/End
-Change a bit Fovscale for DOF
-Rename BLOOM Option to BLOOM_DIMENSION (OFF/HARD_BLOOM/DIMENSION(by default))
-Add New Menu "EYES_IN_WATER"
-Add possibilities to adjust Water Refraction settings now (Multiplier/Size/Speed)
-Add New Menu "Weather_Reflexions"
-Add Stars Reflexions (ON by default)
-After Possibility to Disable Cloud reflexion, now possible to disable Aurora Reflexion and Stars Reflexion on Water
-New configuration for default waves on water

​#Version 5.1 Ninja Update

​-Fix Emissive light block too strong

​#Version 5.0 

​-Add Colored Dynamic Handlight emissive items

​#Version 4.9

​-Add Hexagonal Bokeh for DOF (BLUR_QUALITY)
-Add Consistent Enchant in option
-Add FULL_BORDER with settings
-Add Tinted Metal

​#Version 4.8

​-Add Campfire on Dynamic Hand Light option
-Fix Smooth Sun/Moon transition (Thanks Emin)
-Fix Compilation error in Ender

​​#Version 4.7

​-Fix Compilation Error

​#Version 4.6

​-New Menu for AO
-Add Occlusion Ambiant Quality settings
-Change a bit Lava FOG
-Smooth transition for Sun/Moon
-Add Shading strenght
-Clean the code,bit optimizations and fixes

​#Version 4.5

​-Add Berserk_Mode_Plus (after Berserk_mode (Red Vignette). With Berserk_Mode_Plus you have red hands with sword in hand also.
-Add Option for Enable or Disable HeartBeat on Berserk_Mode
-Add Option for adjust HeartBeat speed
-New Menu For Berserk_Mode

​#Version 4.4

​-Add DYNAMIC_HAND_LIGHT

​#Version 4.3

​-Add MAGICAL_GLINT With adjustement of speed
-Add Possibility to adjust hands (Height, Depth, Shift)
-Enable or Disable Clouds Reflection in option (Disable by default)
-Fix "Hue" color wheel for Techno-XP and Magical glint
-Add option for Berserk Mod on enchanted Sword
-Modify a bit ULTRA_VIGNETTE and CRT_BORDER

​#Version 4.2

​-Tweaked promo outline.
-Fixed integrated graphics with weather color when per biome weather is disable.
-Add Light Jitter with settings. (Based to SEUS code but modified)
-Add OSCILLATION (option) effect with OSCILLATION SPEED to entities with FLASH_VICTIM mode enabled
-Change BayerTexture for HYPER_SPEED

​#Version 4.1

​-Fix Blur on hands with HYPER_SPEED activated.
-Optimize RAIN-DROP_ON_SCREEN code.
-Delete TOON_LIGHTMAP.
-Cleaning the code.

​#Version 4.0

​-Add SKY_GROUND. It helps hiding the sky below oceans while not underwater.
-Add Nether Vanilla Color.
-Fix Bloom Overlay.
-Add HYPER_SPEED effect.
-Fix alpha for Berserk Mode.
-Optimize FILM_GRAINS_2.
-AMBIANT improvements.
-Rename AMBIANT to LEX_AMBIANT.
-Rename GOUTTE_ECRAN by RAINDROP_ON_SCREEN for English users.
-Replace RAINDROP_ON_SCREEN and RAINDROP_ON_SCREEN_2 by RAINDROP_ON_SCREEN with 3 options (OFF/NORMAL/HEAVY).
-Rework a bit NEW_RAIN.
-Various optimizations for my options.

​#Version 3.9

​-Fix FLASH_VICTIM with end_crystal.
-BLUR_QUALITY have now 5 Bokeh (STANDARD/MEDIUM/HIGH/ULTRA_HIGH/PAINTING).
-Add POSTERIZATION.
-Add DITHERING_SCREEN.

​#Version 3.8

​-3 Quality for Shadows.
-3 Quality for DOF.
-Change a bit fovScale.

​#Version 3.7

​-Add Option for 209 Offsets for Shadows

​#Version 3.6

​-Add AMBIANT option for OVERWORLD(Change the tint with the time).
-BOTW tonemap only for OVERWORLD.
-Add CRT_BORDER_STRENGHT for adjust.
-Add Berserk Mode with Sword in hand (MODE_RAGE).
-Fix FLASH_VICTIM with armor_stand, minecarts, sign, item_frame..
-Set a default configuration (Apply different effect on Shader Options).
-Optimizations.

​#Version 3.5

​-Fix Viseur for 1080p.
-Tweaked bloom to be a bit stronger during rain.
-Add option to disable or enable block break animation.
-Fix All warning on log.

​#Version 3.4

​-Add Double Rainbows in Lensflare option (OFF/NORMAL/DOUBLE_RAINBOWS).
-Add BLUR_QUALITY in Dof menu for choose 60 or 119 Offsets.
-Fix Water Blur with Distance blur.
-Delete BSL vignette (replace by Ultra Vignette on Lex Menu).
-Disable TAA on DiSTANCE_FADE (cause Blink).
-Modify dither bayer for DiSTANCE_FADE.
-Add more Strenght for LensFlare.
-Rework Post Process Menu.
-Rework DOF menu.
-Add Quality Offsets for Shadows (OFF/NORMAL/HIGH_QUALITY).
-Modify Dither.

​​#Version 3.3

​-Calibrate Clouds.
-Optimize Shadow.
-Set Default Settings for Color Grading.
-Set Default Color for lighting.
-Change a bit Lensflare for the Night.
-Add water refraction when eyes is in water.
-Add Ultra Vignette.
-Modify Offset for DOF/CHROMATIC_ABERRATION.
-Add option for Blur in water with slide for strenght.
-Rework a bit Stars.

​#Version 3.2

​​-Fix Advanced Materials (My bad) Thanks EminGT for Report.

​#Version 3.1

​-Rework DOF completely.
-DOF code optimization.
-Add Distance Blur (work with DOF at same time).
-Add Chromatic aberration with settings.
-Possibility to adjust DOF/Chromatic Abberation/ Distance Blur.

​#Version 3.0

​-Add DISTANT_FADE Spherical or Cylindrical effect.
-Fix entity Error in Nether and End.
-Tweaking TAA blending factor.
-Improved Sky Ground transition while raining.

#Version 2.9

​-Fix Drag on hands with MotionBlur completely.

​#Version 2.8

​-Fix Thunderbolt !

​#Version 2.7

​​-Add Heat Haze for Nether !!
-Add Heat Haze Refraction slide for adjust strenght.

​#Version 2.6

​-Add Distance blur for all dimension with option to force in Nether.
-Delete WHITE_WORLD Option.
-Add Cel Strenght.
-Delete RETRO_FILTER.

​​#Version 2.5

​-COLORED_EYES for color Spider, Enderman, Dragon Eyes.
-Increase Stars luminosity.
-Add many levels for MotionBlur.
-Removing drag on the hands with the MotionBlur.
-Add Option for opacity for SHOW LIGHT LEVEL.
-Add #pragma optimize(on) on code.

​​#Version 2.4

​​-Add 16 Levels's intensity for COLOR_SELECTOR_BLOC.
-Add SHOW LIGHT LEVELS (for see the dark area).
-Add Option for change color of dark area.
-Fix warning on gbuffers_block.glsl (syntax "()" ).
-FRENCH Traduction for LEX Menu Complete.

​​#Version 2.3

​​-Disable LensFlare in water.
-Change Settings by default in settings.glsl.
-Add new Portal for Ender (enable by default).
-Fix lighting for soul_lantern.

​​#Version 2.2

​​-Nether color defaults to wastes.
-Tweak DOF for AMD.
-DOF scales with fov now.
-Fixed shadows (sometimes) disappearing when an end gateway is loaded.
-Improved opacity handling for clouds.
-Reduced waving lantern intensity.
-New waving block function with more straightforward parameters.

​​#Version 2.1

​​-Removed reflective on regular glass.
-Fix problem with blackOutline with FOG on OFF in Nether (BSL forgot).
-Nether fog scales better with higher render distance, also affected by fog density.

​​#Version 2.0

​​-Fix Enchant item glint on hand with latest version of Optifine.
-Add Rapid Clouds, and Dither in END dimension.

​​#Version 1.9

​​-Fix Entities ID for beacon (BSL error block ID value).
-Add Chain Entity ID for waving.
-Replace all Entitie ID (tweaked block id value).

​#Version 1.8

​​-Fix Advanced Materials.

​​#Version 1.7

​​-Fix Mouvement Cam with Block.
-Add Rainbow.
-Add French Language traduction.
-Make a cool Menu in Shader options.

​​#Version 1.6

​​-Change the default BSL Dirt.png.
-Change offset for shadow.
-Increase a bit lighting.
-Add Mouvement Cam.

​​#Version 1.5

​​-Fix Selector Block Color with leads (Thanks EminGT).
-Add Mouvement mains.
-Add Hands Position.
-Add Nouvelle Pluie.
-Add DirtyIMG with 6 .png.
-Add Caustics (Credits EminGT).
-Delete Dimension, now world0 ,world1 and world-1 only.

​​#Version 1.4

​​-Add 16/9 Bands.
-Add Distortion.
-Add Fresnel Option.
-Modify a bit Viseur.
-Delete Intensity Entities.
-Modify the Bloom.
-Add Camera noise.
-Add Film grains.
-Add Selector Block Color.

​​#Version 1.3

​​-Add Viseur.
-Add BOTW Tonemap.
-Add HDR.

​​#Version 1.2

​​-Add Rain In Screen (2 Modes).
-Add CRT Mode.
-Modify Clouds.

​​#Version 1.1

​​-Add Intensity Entities.
-Change Lava Wave.
-Add more Dimension.

#Version 1.0

​​-Add Techno XP.
-Add Flash Victim.